Кодировка в WordPress. Возможные проблемы

Кодировка в WordPress. Возможные проблемы

Как известно, для нормальной работы сайтов необходимо полное соответствие кодировки в Wodrpess с кодировкой самой базы данных.

Одна из основных проблем может возникнуть в результате использования технологий AJAX. Они крайне удобны, в будущем будут только развиваться. Сегодня AJAX применяется для создания рубрик, например (нет необходимости в обновлении страницы).

Но проблема заключается в том, что AJAX корректно работать может исключительно с UTF-8. Таким образом, кодировка в WordPress, а вместе с тем базы данных, должна быть аналогичной. Можно, конечно, обойтись добавлением различных функций кодирования/декодирования, однако это слишком сложно реализовывать технически.

Еще одна распространенная проблема с кодировкой в WordPress является чисто технической. На сегодняшний день с ней практически невозможно столкнуться, однако факт возникновения возможных проблем все же имеется. UTF-8 – относительно новый стандарт, поэтому MySQL версии 4.1 и ниже не поддерживает работу с ним. Необходимо быть очень внимательным при выборе хостинга, дабы не столкнуться с этой проблемой (заказывайте услуги только тех хостеров, на серверах которых установлен MySQL 4.1 и выше).


Карта сайта


Информационный сайт Webavtocat.ru